YUI AS Component Documentation |
Interface ISeries

Package | com.yahoo.astra.fl.charts.series
Interface | public interface ISeries extends flash.events.IEventDispatcher
Subinterfaces | ICategorySeries, ILegendItemSeries, IStackedSeries
Implementors | Series, SeriesItemRenderer

A renderer for a series displayed on a chart.

Important: Must be a subclass of DisplayObject

See also

flash.display.DisplayObject

Public Properties

| Property | Defined by
--- | --- | ---
|  | chart : Object The chart in which this series appears. | ISeries
|  | dataProvider : Object The data provider for this series. | ISeries
|  | dataTipFunction : Function DataTip Function for series | ISeries
|  | displayName : String The name of the series as it appears to the user. | ISeries
|  | legendLabelFunction : Function If defined, the chart will call the input function to determine the text displayed in in the chart's legend. | ISeries
|  | length : int [read-only] The number of items in the series. | ISeries

Public Methods

| Method | Defined by
--- | --- | ---
|  | clone():ISeries Creates a copy of the ISeries object. | ISeries
|  | itemRendererToIndex(renderer:ISeriesItemRenderer):int Returns the index of an item renderer. | ISeries
|  | itemToItemRenderer(item:Object):ISeriesItemRenderer Converts an item to its corresponding item renderer. | ISeries

Events

| Event | Summary | Defined by
--- | --- | --- | ---
|  | dataChange | Dispatched when the data property for an ISeries changes. | ISeries

Property detail

chart | property

`chart:Object` [read-write]

The chart in which this series appears.

Implementation
`public function get chart():Object`
`public function set chart(value:Object):void`

dataProvider | property |

`dataProvider:Object` [read-write]

The data provider for this series. Accepts `Array` or `XMLList` objects.

Implementation
`public function get dataProvider():Object`
`public function set dataProvider(value:Object):void`

dataTipFunction | property |

`dataTipFunction:Function` [read-write]

DataTip Function for series

Implementation
`public function get dataTipFunction():Function`
`public function set dataTipFunction(value:Function):void`

displayName | property |

`displayName:String` [read-write]

The name of the series as it appears to the user.

Implementation
`public function get displayName():String`
`public function set displayName(value:String):void`

legendLabelFunction | property |

`legendLabelFunction:Function` [read-write]

If defined, the chart will call the input function to determine the text displayed in in the chart's legend.

Implementation
`public function get legendLabelFunction():Function`
`public function set legendLabelFunction(value:Function):void`

length | property |

`length:int` [read-only]

The number of items in the series.

Implementation
`public function get length():int`
Method detail

clone | () | method

`public function clone():ISeries`

Creates a copy of the ISeries object.

Returns

| `ISeries` — a new ISeries object

itemRendererToIndex | () | method |

`public function itemRendererToIndex(renderer:ISeriesItemRenderer):int`

Returns the index of an item renderer.

Parameters

| `renderer:ISeriesItemRenderer` — The renderer whose index is to be returned.

Returns

| `int` — The index of the renderer.

itemToItemRenderer | () | method |

`public function itemToItemRenderer(item:Object):ISeriesItemRenderer`

Converts an item to its corresponding item renderer.

Parameters

| `item:Object` — The item from the dataProvider to be converted to a renderer.

Returns

| `ISeriesItemRenderer` — The renderer that corresponds to the item.

Event detail

dataChange | event

Event object type: `flash.events.Event`

Dispatched when the data property for an ISeries changes.